import request from '@/utils/request'

// 查询仓库列表
export function listWarehouse(query) {
  return request({
    url: '/resources/warehouses/list',
    method: 'get',
    params: query
  })
}

// 查询仓库详情
export function getWarehouse(id) {
  return request({
    url: '/resources/warehouses/' + id,
    method: 'get'
  })
}

// 新增仓库
export function addWarehouse(data) {
  return request({
    url: '/resources/warehouses',
    method: 'post',
    data: data
  })
}

// 修改仓库
export function updateWarehouse(data) {
  return request({
    url: '/resources/warehouses',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function delWarehouse(ids) {
  return request({
    url: '/resources/warehouses/' + ids,
    method: 'delete'
  })
}

// 启用仓库
export function enableWarehouse(id) {
  return request({
    url: '/resources/warehouses/' + id + '/enable',
    method: 'post'
  })
}

// 停用仓库
export function disableWarehouse(id) {
  return request({
    url: '/resources/warehouses/' + id + '/disable',
    method: 'post'
  })
}